Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto
Interface DSA

All Known Implementing Classes:
  DSASigner, ECDSASigner

public interface DSA

interface for classes implementing the Digital Signature Algorithm

Method Summary
`java.math.BigInteger[]` | `generateSignature(byte[] message)` sign the passed in message (usually the output of a hash function).
`void` | `init(boolean forSigning, CipherParameters param)` initialise the signer for signature generation or signature verification.
`boolean` | `verifySignature(byte[] message, java.math.BigInteger r, java.math.BigInteger s)` verify the message message against the signature values r and s.

Method Detail

### init

    public void init(boolean forSigning,
                     CipherParameters param)

  initialise the signer for signature generation or signature verification.

  Parameters:
    `forSigning` - true if we are generating a signature, false otherwise.
    `param` - key parameters for signature generation.

### generateSignature

    public java.math.BigInteger[] generateSignature(byte[] message)

  sign the passed in message (usually the output of a hash function).

  Parameters:
    `message` - the message to be signed.
  Returns:
    two big integers representing the r and s values respectively.

### verifySignature

    public boolean verifySignature(byte[] message,
                                   java.math.BigInteger r,
                                   java.math.BigInteger s)

  verify the message message against the signature values r and s.

  Parameters:
    `message` - the message that was supposed to have been signed.
    `r` - the r signature value.
    `s` - the s signature value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD